<?php
$target='nombre';
include("funciones/funciones_backup.php");
include("conexion/conexion.php");
include("Menu/menu_inicio.php");
include("Usuarios/usuarios.php");

$nombrepagina = "CREACION DE CONTACTOS";
encabezado($target);
$user=$_SESSION['validar'];
$filas=1;
if($filas == 1){
	class llamado{
		var $menuObj;
		function validar1($id_user,$id_sucursal){
			$this->menuObj=new menu_inicio();
			$this->menuObj->menu2($id_user,$id_sucursal);
		}
	}
	$llamadoObj=new llamado();
	$llamadoObj->validar1($_GET['id_user'],$_GET['suc']);
	entrada($user,$_GET['id_user'],$_GET['suc']);
	echo"</td>";
	echo"<td width=79% background=\"imagenes/bg3.jpg\" valign=top>";
	mostrar_cabeza_trabajo($nombrepagina);
?>
<CENTER>
<form action="" method="POST" name="backup">
<table width="400" border="0" class="primaria">
<tr class=miTable_tr>
<td colspan="2" class=miTable_th1><div align="center">..:: Creacion Contacto ::..</div></td>
</tr>
<tr class="miTable_tr">
<td width="300" valign=top height="42" class=miTable_td2>
Nombre:</td>
<td width="150" valign=top height="42" class="miTable_td">
<input type="text" name="nombre" class="inputbox" size="50">
</td>
</tr>
<tr class="miTable_tr">
<td width="300" valign=top height="42" class=miTable_td>
Direccion:</td>
<td width="200" valign=top height="42" class="miTable_td">
<input type="text" name="dir" class="inputbox" size="50">
</td>
</tr>
<tr class="miTable_tr">
<td width="300" valign=top height="42" class=miTable_td>
Telefono:</td>
<td width="150" valign=top height="42" class="miTable_td">
<input type="text" name="tel" class="inputbox" size="25">
</td>
</tr>
<tr class="miTable_tr">
<td width="300" class="miTable_td2">
Nombre de Usuario:</td>
<td width="150" class="miTable_td">
<input type="text" name="str_usuario" class="inputbox" size="25">
</td>
</tr>
<tr class="miTable_tr">
<td width="200" class="miTable_td2">
Password:</td>
<td width="150" class="miTable_td">
<input type="password" name="str_pass" class="inputbox" size="25">
</td>
</tr>
<tr class="miTable_tr">
<td width="200" class="miTable_td2">
Confirmar Pasword:</td>
<td width="150" class="miTable_td">
<input type="password" name="pass2" class="inputbox" size="25">
</td>
</tr>
<tr class="miTable_tr">
<td width="200" class="miTable_td">
Sucursal:</td>
<td width="150" class="miTable_td">
<?
get_sucursal($_SESSION['perfil'],$_GET['suc']);
?>
</td>
</tr>
<tr class="miTable_tr">
<td width="200" class="miTable_td">
Cliente:</td>
<td width="150" class="miTable_td">
<select name="cliente" class="inputbox" style="width:350px">
<?
get_cliente($_GET['suc']);
?>
</select>
</td>
</tr>
<tr class="miTable_tr">
<td width="180" class="miTable_td">
Estado:</td>
<td width="150" class="miTable_td">
<select name="estado" class="inputbox">
<option value="1">Activo</option>
<option value="0">Inactivo</option>
</select>
</td>
</tr>
<!--<tr class="miTable_tr">
<td width="200" class="miTable_td">
Perfil:</td>
<td width="150" class="miTable_td">
<select name="perfil" class="inputbox">
<option value="5">Cliente</option>
</select>
</td>
</tr>-->



<tr class="miTable_tr">
<td width="200" class="miTable_td">
Consulta de Envios</td>
<td width="150" class="miTable_td">
<input type="checkbox" name="consulta_envios" value="57" class="inputbox">
</td>
</tr>

<tr class="miTable_tr">
<td width="200" class="miTable_td">
Gestion Orden de Servicio</td>
<td width="150" class="miTable_td">
<input type="checkbox" name="consulta_ods" value="58" class="inputbox">
</td>
</tr>

<tr class="miTable_tr">
<td width="200" class="miTable_td">
Informe de Envios por Fecha</td>
<td width="150" class="miTable_td">
<input type="checkbox" name="consulta_fecha" value="73" class="inputbox">
</td>
</tr>


<tr class="miTable_tr">
<td width="200" class="miTable_td" nowrap>
Cambiar Password</td>
<td width="150" class="miTable_td">
<input type="checkbox" name="cambiar_clave" value="16" class="inputbox">
</td>
</tr>




<tr class=miTable_tr>
<td class=miTable_th1 colspan="2">
<div align="center">
<input type="submit" name="Registrar" value="Registrar" class="inputbox">
</div>
</td>
</tr>
</table>
</form>
</CENTER>
	 <?
	 if(!isset($Registrar)){

	 }else{
	 	class crearUsuario{
	 		var $crearObj;
	 		var $conexionObj;
	 		var $estado;

	 		function setCrear($nombre,$dir,$tel,$usuario,$pass,$pass2,$sucursal,$estado,$perfil,$cliente,$consulta_envios,$consulta_ods,$consulta_fecha,$cambiar_clave){
	 			$id_user=$_GET['id_user'];
	 			$id_suc=$_GET['suc'];
	 			if($nombre=='' || $usuario=='' || $pass=='' || $pass2==''){
	 				$msgBOX2 = "Algunos Campos Requeridos Estan Vacios.";
	 				echo "<script>
					setTimeout(location.href='crear_contacto.php?id_user=$id_user&suc=$id_suc', 100);
	            	alert('$msgBOX2');
	  		  		</script>";
	 			}else{
	 				if($pass!=$pass2){
	 					$msgBOX = "Las Contrase�as son Distintas.";
	 					echo "<script>
	             		setTimeout(location.href='crear_contacto.php?id_user=$id_user&suc=$id_suc', 100);
	             		alert('$msgBOX');
	  		  	 		</script>";
	 				}else{
	 					$this->crearObj=new usuarios();
	 					$this->crearObj->setNombre($nombre);
	 					$this->crearObj->setUsuario($usuario);
	 					$this->crearObj->setPassword($pass);
	 					$this->crearObj->setDireccion($dir);
	 					$this->crearObj->setTelefono($tel);
	 					$this->crearObj->setSucursal($sucursal);
	 					$this->crearObj->setEstado($estado);
	 					$this->crearObj->setPerfil($perfil);
	 					$this->crearObj->setCliente($cliente);

	 					$this->crearObj->setPar1($consulta_envios);
	 					$this->crearObj->setPar2($consulta_ods);
	 					$this->crearObj->setPar3($consulta_fecha);
	 					$this->crearObj->setPar4($cambiar_clave);
	 				}
	 			}

	 		}
	 		function getCrear(){
	 			return $this->crearObj;
	 		}
	 		function validar(){
	 			$this->conexionObj= new conexion();
	 			$this->conexionObj->conectarse();
	 			$rst_validar=$this->conexionObj->consultar("SELECT * FROM usuarios WHERE usuario='".$this->crearObj->getUsuario()."'");
	 			if(mysql_num_rows($rst_validar)>=1){
	 				$msgBOX2 = "Contacto Existe en Sistema.";
	 				echo "<script>
	          alert('$msgBOX2');
	  		  </script>";
	 			}else{
	 				$nombre=$this->crearObj->getNombre();
	 				$nombre=strtoupper($nombre);
	 				$dir=$this->crearObj->getDireccion();
	 				$tel=$this->crearObj->getTelefono();
	 				$usuario=$this->crearObj->getUsuario();
	 				$pass=$this->crearObj->getPassword();
	 				$sucursal=$this->crearObj->getSucursal();
	 				$estado=$this->crearObj->getEstado();
	 				$perfil=$this->crearObj->getPerfil();
	 				$cliente=$this->crearObj->getCliente();

	 				$cons_envio=$this->crearObj->getPar1();
	 				$cons_ods=$this->crearObj->getPar2();
	 				$cons_fecha=$this->crearObj->getPar3();
	 				$camb_clave=$this->crearObj->getPar4();

	 				$this->insertarDatos($nombre,$dir,$tel,$usuario,$pass,$sucursal,$estado,$perfil,$cliente,$cons_envio,$cons_ods,$cons_fecha,$camb_clave);
	 			}

	 		}
	 		function insertarDatos($nombre,$dir,$tel,$usuario,$pass,$sucursal,$estado,$perfil,$cliente,$cons_envio,$cons_ods,$cons_fecha,$camb_clave){
	 			$rst_insertar=$this->conexionObj->modificar("INSERT INTO usuarios VALUES ('0','".$nombre."','".$dir."','".$tel."','".$usuario."','".$pass."','".$sucursal."','".$estado."','5', '".$cliente."',0,0)");


	 			$rst_idusu=mysql_fetch_array($this->conexionObj->consultar("select id_usuario from usuarios where usuario='$usuario'"));
	 			$this->conexionObj->consultar("insert into menu_usuario values('$rst_idusu[0]',8),('$rst_idusu[0]',23)");
	 			$this->conexionObj->consultar("insert into menu_contacto values('$rst_idusu[0]','".$cons_envio."'),('$rst_idusu[0]','".$cons_ods."')");
	 			$this->conexionObj->consultar("insert into menu_contacto values('$rst_idusu[0]','".$cons_fecha."'),('$rst_idusu[0]','".$camb_clave."')");
	 			//echo "Error Myqsl ".mysql_error();
	 			$affected_rows=mysql_affected_rows();
	 			if($affected_rows>=1){
	 				$msgBOX2 = "Contacto Creado Exitosamente.";
	 				echo "<script>
	          alert('$msgBOX2');
	  		  </script>";
	 			}else{
	 				$msgBOX2 = "Contacto No Pudo ser Creado.";
	 				echo "<script>
	          alert('$msgBOX2');
	  		  </script>";
	 			}
	 		}

	 	}// FIN DE LA CLASE CREARUSUARIO
	 	// CREACION DEL OBJETO
	 	$crearUsuarioObj=new crearUsuario();
	 	// CONFIGURANDO LAS PROPIEDADES DEL OBJETO
	 	$crearUsuarioObj->setCrear($_POST['nombre'],$_POST['dir'],$_POST['tel'],$_POST['str_usuario'],$_POST['str_pass'],$_POST['pass2'],$_POST['sucursal'],$_POST['estado'],$_POST['perfil'],$_POST['cliente']
	 	,$_POST['consulta_envios'],$_POST['consulta_ods'],$_POST['consulta_fecha'],$_POST['cambiar_clave']);
	 	// LAMANDO EL METODO DE NEGOCIO
	 	$crearUsuarioObj->validar();

	 }

	 mostrar_pie();
}
echo"</td>";
echo"</tr>";
echo"</table>";
echo"<table width=503 border=0 align=center cellpadding=0 cellspacing=0>";
echo"<tbody><tr>";
echo"<td></td>";
echo"</tr>";
echo"<tr>";
echo"<td height=7 background=imagenes/lineas_pie.jpg><img src=index2_files/spacer.html width=1 height=15></td>";
echo"</tr>";
echo"<tr>";
?>
<td>
<center>
<?
        pie_de_pagina();
        ?>
</center>
</td>
<?php
echo"</tr>";
echo"</tbody></table>";
echo"</center>";
echo"</body>";
echo"</html>";
?>
